import { AxiosResponse } from 'axios';
import { TrainingDocumentResultDto } from 'common/types/DocumentLabelerTypes';
import { DocumentLabelerData } from 'documentLabeler/state/DocumentLabelerState';
declare type GetExtractionResultsApiCall = (modelId: string, documentId: string) => Promise<AxiosResponse<DocumentLabelerData>>;
declare type SubmitDocumentLabelsApiCall = (modelId: string, documentId: string, labels: TrainingDocumentResultDto) => Promise<AxiosResponse<void>>;
export declare type ButlerBlockApi = {
    getExtractionResults: GetExtractionResultsApiCall;
    submitDocumentLabels: SubmitDocumentLabelsApiCall;
};
/**
 * Factory used to initialize the Butler REST API using the provided API key.
 * @param apiKey Your personal API key
 * @param apiBaseUrl The API Base URL. Should be left to the default for most cases
 * @returns
 */
export declare const ButlerApiCallFactory: {
    create: (apiKey: string, apiBaseUrl?: string) => ButlerBlockApi;
};
export {};
