import { jsx as _jsx } from "react/jsx-runtime";
import ReactDOM from 'react-dom';
import { DocumentLabeler } from 'documentLabeler/DocumentLabeler';
import { ButlerProvider } from 'common/theme/ButlerProvider';
import { ButlerApiCallFactory } from 'api/apiCalls';
/**
 * Will be in butlerBlocks.js, exported by our package and imported
 * via a require statement in our customer's js file
 */
var createDocLabeler = function (id, data, onSaveCallback) {
    var docLabelerContainer = document.getElementById(id);
    if (!docLabelerContainer) {
        throw new Error("Could not find container element with id ".concat(id));
    }
    ReactDOM.render(_jsx(ButlerProvider, { children: _jsx(DocumentLabeler, { data: data, onSaveCallback: onSaveCallback }) }), docLabelerContainer);
};
var loadButlerBlocks = function (apiKey) {
    return {
        createDocLabeler: createDocLabeler,
        api: ButlerApiCallFactory.create(apiKey),
    };
};
export { loadButlerBlocks, };
