import { CheckboxUtil } from "common/checkbox/CheckboxUtil";
describe('generateCheckboxDisplayFromValue', function () {
    it('should display the correct value for a selected checkbox', function () {
        var input = 'SELECTED';
        var expectedOutput = 'Selected';
        expect(CheckboxUtil.generateCheckboxDisplayFromValue(input)).toBe(expectedOutput);
    });
    it('should display the correct value for an unselected checkbox', function () {
        var input = 'NOT_SELECTED';
        var expectedOutput = 'Not Selected';
        expect(CheckboxUtil.generateCheckboxDisplayFromValue(input)).toBe(expectedOutput);
    });
    it('should display the input value for an unrecognized string', function () {
        var input = 'Unexpected Input';
        expect(CheckboxUtil.generateCheckboxDisplayFromValue(input)).toBe(input);
    });
});
