import React from 'react';
import { TypographyProps } from '@material-ui/core';
declare type Props = {
    value: string;
    typographyProps?: TypographyProps;
    expandable?: boolean;
    maxCharLength?: number;
    paragraph?: boolean;
};
/**
 * Visual component for displaying text that
 * will truncate based on the size of the parent component.
 *
 * NOTE: In order to truncate correctly within flex display components,
 * the parent component must have an "overflow: hidden" style applied to it.
 *
 * Based off:
 * https://stackoverflow.com/questions/56588625/react-show-material-ui-tooltip-only-for-text-that-has-ellipsis
 *
 * @param props
 */
export declare const TruncatableTypography: React.FC<Props>;
export {};
