import { ListUtil } from "common/util/ListUtil/ListUtil";
var startArray = [1, 2, 3];
describe('ListUtil', function () {
    describe('replaceElementAtIndex', function () {
        it('should correctly replace for index 0', function () {
            var index0splice = ListUtil.replaceElementAtIndex(0, 0, startArray);
            expect(index0splice).toMatchObject([0, 2, 3]);
        });
        it('should correctly replace for an index in the middle of the array', function () {
            var index2splice = ListUtil.replaceElementAtIndex(1.5, 1, startArray);
            expect(index2splice).toMatchObject([1, 1.5, 3]);
        });
        it('should correctly replace for the last index of the array', function () {
            var index3splice = ListUtil.replaceElementAtIndex(0, 2, startArray);
            expect(index3splice).toMatchObject([1, 2, 0]);
        });
        it('should insert the item at the end of the array if the index is the array length', function () {
            var index3splice = ListUtil.replaceElementAtIndex(4, 3, startArray);
            expect(index3splice).toMatchObject([1, 2, 3, 4]);
        });
        it('should throw an error for negative indices', function () {
            expect(function () { return ListUtil.replaceElementAtIndex(0, -1, startArray); }).toThrow();
        });
        it('should throw an error for indices larger than the array length', function () {
            expect(function () { return ListUtil.replaceElementAtIndex(4, 4, startArray); }).toThrow();
        });
        it('should work for one element', function () {
            var oneItemSplice = ListUtil.replaceElementAtIndex(1, 0, [0]);
            expect(oneItemSplice).toMatchObject([1]);
        });
    });
});
