/// <reference types="react" />
import { DocumentLabelerDispatch } from 'documentLabeler/state/DocumentLabelerReducer';
import { DocumentLabelerData, DocumentLabelerInternalState } from 'documentLabeler/state/DocumentLabelerState';
import { DocumentLabelerOutputDataDto } from 'common/types/DocumentLabelerTypes';
export declare const DocumentLabelerStateContext: import("react").Context<DocumentLabelerInternalState | null>;
export declare const DocumentLabelerDispatchContext: import("react").Context<DocumentLabelerDispatch | null>;
declare type Props = {
    data: DocumentLabelerData;
    onSaveCallback: (outputData: DocumentLabelerOutputDataDto) => void;
    rootRef: HTMLDivElement | null;
    children: React.ReactNode;
};
/**
* Document Labeler Provider, handles state management and actions for the Document Labeler
*
* State functions are handled in DocuemntLabelerState.tsx and the
* Action reducer is handled in DocumentLabelerReducer.tsx
*/
export declare const DocumentLabelerProvider: React.FC<Props>;
export declare const useDocumentLabeler: () => {
    state: DocumentLabelerInternalState;
    dispatch: DocumentLabelerDispatch;
};
export {};
