/// <reference types="react" />
export declare type DocumentDisplayerState = {
    pages: Array<JSX.Element>;
    pageHeights: Array<number>;
    loaders: {
        onPdfDocumentLoadSuccess: (pdf: any) => void;
        onImgDocumentLoadSuccess: (pageHeight: number) => void;
    };
    documentIsVisible: boolean;
};
export declare type Viewport = {
    width: number;
    height: number;
};
/**
 * Reusable hook for the purpose of displaying a multi page
 * document.
 *
 * @param stepLabels
 */
export declare const useDocumentDisplayer: (mimeType: string, size: {
    width: number;
    height: number;
}, docUri?: string) => DocumentDisplayerState;
