import { SetActiveFieldAction } from 'documentLabeler/state/ActiveFieldReducerUtils';
import { AddBlockToActiveFieldAction, RemoveBlockFromFieldAction } from 'documentLabeler/state/BlockReducerUtils';
import { DocumentLabelerInternalState } from 'documentLabeler/state/DocumentLabelerState';
import { AddRowToTableAction, RemoveAllBlocksFromFieldAction, RemoveRowFromTableAction, SetTableCellTextOverrideAction, SetTextFieldOverrideAction } from 'documentLabeler/state/FieldReducerUtils';
import { AddRegionToActiveFieldAction, ClearRegionFromFieldAction } from 'documentLabeler/state/RegionReducerUtils';
declare type DocumentLabelerDispatchAction = SetActiveFieldAction | AddBlockToActiveFieldAction | RemoveBlockFromFieldAction | AddRegionToActiveFieldAction | ClearRegionFromFieldAction | RemoveAllBlocksFromFieldAction | SetTextFieldOverrideAction | SetTableCellTextOverrideAction | AddRowToTableAction | RemoveRowFromTableAction;
export declare type DocumentLabelerDispatch = (action: DocumentLabelerDispatchAction) => void;
/**
* Reducer for handling new state generation in response
* to a new action with a current state.
*/
export declare const documentLabelerReducer: (state: DocumentLabelerInternalState, action: DocumentLabelerDispatchAction) => DocumentLabelerInternalState;
export {};
