import { ActiveCell, DocumentLabelerData, DocumentLabelerInternalState } from "documentLabeler/state/DocumentLabelerState";
import { CellLabelDto, FieldLabelDto, TableLabelDto } from "common/types/DocumentLabelerTypes";
declare type FieldWithColor = {
    info: FieldLabelDto;
    color: string;
};
declare type TableWithColor = {
    info: TableLabelDto;
    color: string;
};
export declare const DocumentLabelerReducerUtils: {
    getFieldFromState: (state: DocumentLabelerInternalState, fieldId: string) => {
        field: FieldLabelDto;
        idx: number;
    };
    getTableFromState: (state: DocumentLabelerInternalState, fieldId: string) => {
        table: TableLabelDto;
        idx: number;
    };
    getAllColoredFields: (data: DocumentLabelerData) => {
        fields: Array<FieldWithColor>;
        tables: Array<TableWithColor>;
    };
    getColorFromFieldId: (state: DocumentLabelerInternalState, fieldId: string) => string;
    getCellInfoFromTable: (table: TableLabelDto, activeCell: ActiveCell) => {
        rowIdx: number;
        columnIdx: number;
        cell: CellLabelDto;
    };
    getSelectedTable: (state: DocumentLabelerInternalState) => TableLabelDto;
    updateStateWithNewField: (state: DocumentLabelerInternalState, updatedField: FieldLabelDto, fieldIdx: number) => DocumentLabelerInternalState;
    updateStateWithNewTable: (state: DocumentLabelerInternalState, updatedTable: TableLabelDto, fieldIdx: number) => DocumentLabelerInternalState;
    updateTableWithNewCell: (table: TableLabelDto, cell: CellLabelDto, rowIdx: number, columnIdx: number) => TableLabelDto;
};
export {};
