import { ButlerColorSet } from "documentLabeler/color/ColorUtils";
import { MockDocumentLabelerData } from "documentLabeler/MockDocumentLabelerData.stories";
import { DocumentLabelerReducerUtils } from "documentLabeler/state/DocumentLabelerReducerUtils";
describe('getAllColoredFields', function () {
    it('should correctly map colors for both fields and tables', function () {
        var expectedFieldColors = ButlerColorSet.slice(0, 4);
        var expectedTableColors = ButlerColorSet.slice(4, 5);
        var _a = DocumentLabelerReducerUtils.getAllColoredFields(MockDocumentLabelerData.documentLabelerData), fields = _a.fields, tables = _a.tables;
        var outputFieldColors = fields.map(function (field) { return field.color; });
        expect(outputFieldColors).toMatchObject(expectedFieldColors);
        var outputTableColors = tables.map(function (table) { return table.color; });
        expect(outputTableColors).toMatchObject(expectedTableColors);
    });
});
