import { BlockDto, DocumentLabelerOutputDataDto, FieldType, LabelDto, MimeType } from 'common/types/DocumentLabelerTypes';
export declare type DocumentLabelerData = {
    modelId: string;
    docId: string;
    fileName: string;
    mimeType: MimeType;
    tempDocUrl: string;
    wordBlocks: Array<BlockDto>;
    results: LabelDto;
};
export declare type ActiveCell = {
    columnId: string;
    rowId: string;
};
export declare type ActiveTable = {
    id: string;
    type: FieldType.Table;
    activeCell?: ActiveCell;
};
export declare type ActiveField = {
    id: string;
    type: FieldType.Text | FieldType.Checkbox | FieldType.Signature;
} | ActiveTable;
export declare enum LabelingSelectionType {
    Block = "Block",
    Region = "Region"
}
export declare type DocumentLabelerLocalState = {
    activeField?: ActiveField;
    selectionType: LabelingSelectionType;
    rootRef: HTMLDivElement | null;
};
export declare type DocumentLabelerInternalState = {
    docInfo: DocumentLabelerData;
    localState: DocumentLabelerLocalState;
    onSaveCallback: (outputData: DocumentLabelerOutputDataDto) => void;
};
export declare const DocumentLabelerState: {
    generateInitialState: (data: DocumentLabelerData, onSaveCallback: (outputData: DocumentLabelerOutputDataDto) => void, rootRef: HTMLDivElement | null) => DocumentLabelerInternalState;
    convertInternalStateToOutputData: (state: DocumentLabelerInternalState) => DocumentLabelerOutputDataDto;
};
