import { ActiveTable, DocumentLabelerInternalState } from "documentLabeler/state/DocumentLabelerState";
import { FieldType } from "common/types/DocumentLabelerTypes";
export declare type RemoveAllBlocksFromFieldAction = {
    type: 'removeAllBlocksFromField';
    payload: {
        fieldId: string;
        fieldType: FieldType;
    };
};
export declare type SetTextFieldOverrideAction = {
    type: 'setFieldTextOverride';
    payload: {
        fieldId: string;
        textOverride: string;
    };
};
export declare type SetTableCellTextOverrideAction = {
    type: 'setTableCellTextOverride';
    payload: {
        textOverride: string;
        table: ActiveTable;
    };
};
export declare type RemoveRowFromTableAction = {
    type: 'removeRowFromTable';
    payload: {
        tableId: string;
        rowId: string;
    };
};
export declare type AddRowToTableAction = {
    type: 'addRowToTable';
    payload: {
        tableId: string;
    };
};
export declare const FieldReducerUtils: {
    removeAllBlocksFromField: (state: DocumentLabelerInternalState, action: RemoveAllBlocksFromFieldAction) => DocumentLabelerInternalState;
    setTextFieldOverride: (state: DocumentLabelerInternalState, action: SetTextFieldOverrideAction) => DocumentLabelerInternalState;
    setTableCellTextOverride: (state: DocumentLabelerInternalState, action: SetTableCellTextOverrideAction) => DocumentLabelerInternalState;
    removeRowFromTable: (state: DocumentLabelerInternalState, action: RemoveRowFromTableAction) => DocumentLabelerInternalState;
    addRowToTable: (state: DocumentLabelerInternalState, action: AddRowToTableAction) => DocumentLabelerInternalState;
};
